Subject: Re: [PATCH] Don't allow newlines to occur in $Id:$ collapse

From: Joshua N Pritikin <[email-masked]>
Date: Fri, 25 May 2007 18:58:00 +0530

On Fri, May 25, 2007 at 02:13:42PM +0100, Andy Parkins wrote:
> If a newline ever made it into an repository-side expanded $Id$ field,
> the keyword would still be detected as a keyword and collapsed, before
> rexpansion, e.g.
> 
>  $Id: all of this text would be removed, even if there
>  were a newline in the middle of it$
> 
> This patch catches newlines in this case and abandons treating this as a
> keyword expansion, this text would be left untouched in the working
> checkout.

That's better but I would error out instead of silently ignoring it.
Your choice.